Chinaunix首页 | 论坛 | 博客
  • 博客访问: 204516
  • 博文数量: 32
  • 博客积分: 0
  • 博客等级: 民兵
  • 技术积分: 850
  • 用 户 组: 普通用户
  • 注册时间: 2013-11-22 15:50
文章存档

2014年(16)

2013年(16)

分类: 嵌入式

2013-12-18 09:47:42

                Ubuntu10.04中安装低版本的GCC和G++编译器



        $sudo apt-get install gcc-4.1


        $sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.1 40  (这里“40” 是优先级,值越大优先级越高)


        $sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.4 60  (本机自带的设置为60更高的优先级)


选择系统默认的gcc


        $sudo update-alternatives --config gcc


        Selection   Path        Priority  Status


        ------------------------------------------------------------


        * 0       /usr/bin/gcc-4.4  60     auto mode


        1       /usr/bin/gcc-4.1  40     manual mode


        2       /usr/bin/gcc-4.4  60     manual mode


默认系统用最高优先级的, 这里我们选择1就可以了


接下来,g++ 同样的步骤操作


        $sudo apt-get install g++-4.1


        $sudo apt-get install g++-4.1-multilib


        $sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.1 40


        $sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.4 60


        $sudo update-alternatives --config g++


        Selection   Path        Priority  Status


        ------------------------------------------------------------


        * 0       /usr/bin/g++-4.4  60     auto mode


        1       /usr/bin/g++-4.1  40     manual mode
        

        2       /usr/bin/g++-4.4  60     manual mode


选择1.

        如果想改为高版本的随时用update-alternatives --config 命令切换!

阅读(3885) | 评论(0) | 转发(1) |
给主人留下些什么吧!~~